Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.usertesttool
Class Task

    java.lang.Object
      scone.usertesttool.Task

    public class Task

extends java.lang.Object

This object stores information about the current user test task

Version:
  1.1, 11/7/2003
Author:
  Torsten Hass

Constructor Summary
`Task(org.w3c.dom.Node userTextXml, int taskNumber, UserTestControl utc)` This constructor searches the xml-document for the n-th task node, reads its information and creates a Panel out of this information.
`Task(org.w3c.dom.Node userTextXml, int taskNumber, UserTestControl utc, boolean caseSensitive)`

Method Summary
`java.util.ArrayList` | `getComponents()`
`java.lang.String` | `getTaskName()`
`TaskPanel` | `getTaskPanel()`
`java.lang.String` | `getTitle()`
`void` | `outputDebugInfo(java.lang.String info)`
`void` | `xmlTaskToPanel(org.w3c.dom.Node userTestXml, int taskNumber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task

    public Task(org.w3c.dom.Node userTextXml,
                int taskNumber,
                UserTestControl utc)

  This constructor searches the xml-document for the n-th task node, reads its information and creates a Panel out of this information.

  Parameters:
    `userTestXml` - The xml-node that points to usertest
    `taskNumber` - The number of the wanted task-node
    `utc` - The UserTestControl object that will receive the button click events

### Task

    public Task(org.w3c.dom.Node userTextXml,
                int taskNumber,
                UserTestControl utc,
                boolean caseSensitive)

Method Detail

### xmlTaskToPanel

    public void xmlTaskToPanel(org.w3c.dom.Node userTestXml,
                               int taskNumber)

### getTaskName

    public java.lang.String getTaskName()

### getComponents

    public java.util.ArrayList getComponents()

### getTaskPanel

    public TaskPanel getTaskPanel()

### getTitle

    public java.lang.String getTitle()

### outputDebugInfo

    public void outputDebugInfo(java.lang.String info)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD